package fr.cnam.joueur;

import java.rmi.*;
import fr.cnam.joueur.FactoryAgentInt;
import java.util.*;
import java.awt.Point;

public class Agent_Couard extends Agent 
{
    public Agent_Couard(int couleur,
                        FactoryAgentInt factory,
                        int portRMI) throws RemoteException
    {
        super(couleur,
              factory,
              portRMI);
    }

    public void deplacer()
    {
        try{
            if ( ! fuireEnnemie())
                super.deplacer();
        }catch(Exception ex){System.out.println(ex);ex.printStackTrace();};
    }
}